%define url ftp://ftp.cistron.nl/pub/people/miquels/software

Name:		sysvinit
Version:	2.86
Release:	%mkrel 6
Summary:	Programs which control basic system processes
License:	GPL
Group:		System/Configuration/Boot and Init
URL:		%{url}
Source:		%{url}/sysvinit-%{version}.tar.bz2
Patch1:		sysvinit-2.86-varargs.patch
Patch2:		sysvinit-2.77-md5-be.patch
Patch3:		sysvinit-2.78-halt.patch
Patch4:		sysvinit-2.86-autofsck.patch
Patch7:		sysvinit-2.85-walltty.patch
Patch8:		sysvinit-2.86-chroot.patch
Patch100:	sysvinit-2.86-shutdown.patch
Patch101:	sysvinit-2.86-libcrypt.patch
Patch102:	sysvinit-2.86-timeval.patch
Patch103:	sysvinit-disable-respawn-more-quickly.patch

# (tpg) sync with fedora patches
Patch104:	%{name}-2.86-loginshell.patch
Patch105:	%{name}-2.86-pidof.patch
Patch106:	%{name}-2.86-haltname.patch
Patch107:	%{name}-2.86-haltman.patch
Patch108:	%{name}-2.86-single.patch
Patch109:	%{name}-2.86-maxproclen.patch
Patch110:	%{name}-2.86-ipv6.patch
Patch111:	%{name}-2.86-quiet.patch
Patch112:	%{name}-2.86-godot.patch
Patch113:	%{name}-2.86-console-open.patch

BuildRequires:	glibc-static-devel
Requires:	pam >= 0.66-5
Obsoletes:	SysVinit < 2.86-6
Provides:	SysVinit = %{version}-%{release}
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The SysVinit package contains a group of processes that control 
the very basic functions of your system. SysVinit includes the init 
program, the first program started by the Linux kernel when the 
system boots.  Init then controls the startup, running and shutdown
of all other programs.

%prep
%setup -q -n sysvinit-%{version}
%patch1 -p1 -b .varargs
%patch2 -p1 -b .be
%patch3 -p1 -b .halt
%patch4 -p1 -b .autofsck
%patch7 -p1 -b .wall
%patch8 -p1 -b .chroot

%patch100 -p1 -b .shutdown
%patch101 -p1 -b .libcrypt
%patch102 -p1 -b .biarch-utmp
%patch103 -p0 -b .disable-respawn-more-quickly

%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1

%build
# cpp hack workaround
cd src
perl -pi -e "s,\"paths.h\",\"pathsfoo.h\",g" *
mv paths.h pathsfoo.h
cd ..
make CFLAGS="%{optflags} -D_GNU_SOURCE" -C src

%install
rm -rf %{buildroot}
for I in bin sbin usr/bin usr/include %{_mandir}/man{1,3,5,8} etc var/run dev; do
	mkdir -p %{buildroot}/$I
done

make -C src ROOT=%{buildroot} MANDIR=%{_mandir} \
	BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install

# If this already exists, just do nothing (the ||: part)
mknod --mode=0600 %{buildroot}/dev/initctl p ||:
ln -snf killall5 %{buildroot}/sbin/pidof

chmod 755 %{buildroot}/usr/bin/utmpdump

# Remove unpackaged file(s)
rm -rf	%{buildroot}/usr/include

%post
[ ! -p /dev/initctl ] && rm -f /dev/initctl && mknod --mode=0600 /dev/initctl p || :
[ -e /var/run/initrunlvl ] && ln -s ../var/run/initrunlvl /etc/initrunlvl || :
[ -x /sbin/telinit -a -p /dev/initctl -a -f /proc/1/exe -a -d /proc/1/root ] && /sbin/telinit u || :
exit 0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/Propaganda doc/Changelog doc/Install
%doc doc/sysvinit-%{version}.lsm contrib/start-stop-daemon.* 
/sbin/bootlogd
/sbin/halt
/sbin/init
/sbin/killall5
/sbin/pidof
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/shutdown
/sbin/sulogin
/sbin/telinit
/bin/pidof
/bin/mountpoint
%{_bindir}/last
%{_bindir}/lastb
%{_bindir}/mesg
%{_bindir}/utmpdump
%attr(2555,root,tty) %{_bindir}/wall
%{_mandir}/*/*
%ghost /dev/initctl


%changelog
* Sat Sep 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.86-6mdv2008.0
+ Revision: 85860
- sync patches with fedora (104-113)
- spec file clean
- soec file clean
- rename to be closer with upstream

